Search
Cache

Search the Teletext page cache. More...

## Typedefs

typedef struct vbi_search | vbi_search
| Opaque search context.

## Enumerations

enum | vbi_search_status { VBI_SEARCH_ERROR = -3 , VBI_SEARCH_CACHE_EMPTY , VBI_SEARCH_CANCELED , VBI_SEARCH_NOT_FOUND = 0 , VBI_SEARCH_SUCCESS }
| Return codes of the vbi_search_next() function. More...

## Functions

vbi_search * | vbi_search_new (vbi_decoder *vbi, vbi_pgno pgno, vbi_subno subno, uint16_t *pattern, vbi_bool casefold, vbi_bool regexp, int(*progress)(vbi_page *pg))
void | vbi_search_delete (vbi_search *search)
vbi_search_status | vbi_search_next (vbi_search *search, vbi_page **pg, int dir)

## Detailed Description

Search the Teletext page cache.

## Enumeration Type Documentation

## vbi_search_status

enum vbi_search_status

Return codes of the vbi_search_next() function.

Enumerator
VBI_SEARCH_ERROR | Pattern not found, pg is invalid. Another vbi_search_next() will restart from the original starting point.
VBI_SEARCH_CACHE_EMPTY | The search has been canceled by the progress function. pg points to the current page as in success case, except for the highlighting. Another vbi_search_next() continues from this page.
VBI_SEARCH_CANCELED | No pages in the cache, pg is invalid.
VBI_SEARCH_NOT_FOUND | Some error occured, condition unclear. Call vbi_search_delete().
VBI_SEARCH_SUCCESS | Pattern found. pg points to the page ready for display with the pattern highlighted, pg->pgno etc.